Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.grdd.dev/llms.txt

Use this file to discover all available pages before exploring further.

Requesters can get the latest snapshot of a reservation they submitted to the Platform, given the GRiDD ID and Reservation ID of the requester.
Do not call this endpoint in a loop or on a timer — that’s what webhooks are for.

getReservationByReservationId

GET /getReservationByReservationId/{GRIDDID}/{RESERVATIONID}/{version}

Parameters

ParameterDescription
GRIDDIDGRiDD ID.
RESERVATIONIDReservation #.
versionMust be set to V1.

Request

Header:
token: {TOKEN}

Response 200

{
  "affiliateReservation": {
    "requesterId": "5StarLimo",
    "providerId": "littleLimo",
    "requesterResNo": "22121",
    "action": "NEW",
    "submissionTarget": "Provider"
  },
  "fees": [
    { "type": "EXTRA_SERVICE", "description": "water" },
    { "type": "EXTRA_SERVICE", "description": " android charger" },
    { "type": "EXTRA_SERVICE", "description": " wifi" }
  ],
  "locations": {
    "pickup": {
      "address": "8687 Melrose Avenue, West Hollywood, CA 90069, USA",
      "address1": "8687 Melrose Ave",
      "city": "West Hollywood",
      "country": "US",
      "landmark": "Melrose Cafe",
      "lat": "34.082157",
      "locationType": "address",
      "lon": "-118.38238380000001",
      "state": "CA",
      "time": "2015-08-05T10:12:00",
      "zipCode": "90069"
    },
    "dropOff": {
      "address": "LAX",
      "address1": "Los Angeles Intl",
      "city": "Los Angeles",
      "lat": "33.942536",
      "lon": "-118.408075",
      "locationType": "airport",
      "time": "2015-08-05T10:12:00",
      "flightInfo": {
        "airlineCode": "VX",
        "flightNumber": "412"
      }
    }
  },
  "passengerCount": "1",
  "passengers": [
    {
      "firstName": "Jack",
      "lastName": "Blooney",
      "email": "lcuser@grdd.net",
      "accountNumber": "73274627",
      "phoneNumber": "213-222-1212",
      "phones": [
        {
          "number": "222-222-1212",
          "type": "mobile",
          "attributes": { "sendNotification": "true" }
        }
      ]
    }
  ],
  "preferredVehicleType": "SEDAN",
  "reservationDate": "2015-08-04T10:12:47",
  "reservationType": "REGULAR",
  "runType": "Airport",
  "specialInstructions": "Please Call when arrive for pickup",
  "status": "BOOKING_REQUEST",
  "transactionId": "1fbd7744-05cc-47d3-93c9-f2651df0eaab"
}